---
updatedAt: 2026-09-09T20:12:32.000Z
agentTools:
  projectIndex: https://docs.skyfire.xyz/llms.txt
---

# Get Agent's Services - All

Get all of the seller agent's services.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "skyfire-agent-and-token-apis",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.skyfire.xyz"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "skyfire-api-key",
        "in": "header"
      }
    },
    "schemas": {
      "SellerService": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier of the seller service."
          },
          "name": {
            "type": "string",
            "description": "The name of the service."
          },
          "description": {
            "type": "string",
            "description": "The description of the service."
          },
          "tags": {
            "type": "array",
            "description": "The tags for this service. Empty if none were set.",
            "items": {
              "type": "string"
            }
          },
          "type": {
            "type": "string",
            "description": "One of \"API\", \"WEB_PAGE\", \"VERIFIED_DOMAIN\", \"MCP_SERVER_LOCAL\", \"MCP_SERVER_REMOTE\", or \"FETCH_AGENT\"",
            "enum": [
              "API",
              "WEB_PAGE",
              "VERIFIED_DOMAIN",
              "MCP_SERVER_LOCAL",
              "MCP_SERVER_REMOTE",
              "FETCH_AGENT"
            ]
          },
          "price": {
            "type": "string",
            "description": "USD as string. For priceModel: CUSTOM, use \"0\"."
          },
          "priceModel": {
            "type": "string",
            "description": "One of \"PAY_PER_USE\", \"SUBSCRIPTION\", \"PAY_PER_MB\", or \"CUSTOM\"",
            "enum": [
              "PAY_PER_USE",
              "SUBSCRIPTION",
              "PAY_PER_MB",
              "CUSTOM"
            ]
          },
          "minimumTokenAmount": {
            "type": "string",
            "description": "USD as string. For CUSTOM, use \"0\". Must be ≥ price after numeric conversion."
          },
          "humanIdentityRequirement": {
            "type": "object",
            "description": "The identity verification requirements for individuals, organizations, or both. See https://docs.skyfire.xyz/reference/identity-fields for more info.",
            "properties": {
              "identityLevels": {
                "type": "array",
                "description": "Identity levels required from verified humans. e.g. `\"INDIVIDUAL_LEVEL1\"`.",
                "items": {
                  "type": "string"
                }
              },
              "organization": {
                "type": "array",
                "description": "Values must be allowed identity field names.",
                "items": {
                  "type": "string"
                }
              },
              "individual": {
                "type": "array",
                "description": "Values must be allowed identity field names.",
                "items": {
                  "type": "string"
                }
              }
            }
          },
          "openApiSpecUrl": {
            "type": "string",
            "description": "Required when `type` is API."
          },
          "websiteUrl": {
            "type": "string",
            "description": "Required when `type` is WEB_PAGE."
          },
          "fetchAgentProfileUrl": {
            "type": "string",
            "description": "Required when `type` is FETCH_AGENT."
          },
          "mcpServerUrl": {
            "type": "string",
            "description": "Required when `type` is MCP_SERVER_LOCAL or MCP_SERVER_REMOTE."
          },
          "termsOfService": {
            "type": "object",
            "description": "The details of the terms of service if they exist.",
            "properties": {
              "url": {
                "type": "string",
                "description": "The URL where the terms of service are available to review."
              },
              "required": {
                "type": "boolean",
                "description": "`true` if acceptance of the terms of service is required."
              }
            }
          },
          "acceptedTokens": {
            "type": "array",
            "description": "Any of \"kya\", \"pay\", and/or \"kya-pay\". Must not be an empty array. If field is omitted, then all token types are accepted.",
            "items": {
              "type": "string",
              "enum": [
                "kya",
                "pay",
                "kya-pay"
              ]
            }
          },
          "maxTokenTTLSeconds": {
            "type": "number",
            "description": "Maximum token TTL in seconds."
          },
          "seller": {
            "type": "object",
            "description": "The seller that owns this service.",
            "properties": {
              "id": {
                "type": "string",
                "description": "Unique identifier of the seller."
              },
              "name": {
                "type": "string",
                "description": "Name of the seller."
              },
              "identityLevel": {
                "type": "string",
                "description": "Does not exist if the seller has not done verification."
              }
            }
          },
          "createdAt": {
            "type": "string",
            "description": "When the service was created. e.g. `\"2025-07-18T02:51:54.265Z\"`."
          },
          "updatedAt": {
            "type": "string",
            "description": "When the service was last updated. e.g. `\"2025-07-18T02:54:19.767Z\"`."
          },
          "active": {
            "type": "boolean",
            "description": "Whether the service is active."
          },
          "approved": {
            "type": "boolean",
            "description": "Whether the service has been approved. Only approved services can be activated."
          }
        },
        "required": [
          "id",
          "name",
          "description",
          "tags",
          "type",
          "price",
          "priceModel",
          "minimumTokenAmount",
          "humanIdentityRequirement",
          "seller",
          "createdAt",
          "updatedAt",
          "active",
          "approved"
        ]
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/api/v1/agents/seller-services": {
      "get": {
        "summary": "Get Agent's Services - All",
        "description": "Get all of the seller agent's services.",
        "operationId": "get-agents-seller-services-all",
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "examples": {
                  "Ok": {
                    "summary": "Ok",
                    "value": {
                      "data": [
                        {
                          "id": "c8ed8e2c-c32c-4f6d-8b64-144a7b11e8ff",
                          "name": "Enterprise Analytics Platform",
                          "description": "Full-featured enterprise analytics platform with advanced AI-powered insights, custom dashboards, and white-label options.",
                          "tags": [
                            "analytics",
                            "enterprise",
                            "ai",
                            "white-label"
                          ],
                          "type": "API",
                          "price": "0.2",
                          "priceModel": "PAY_PER_USE",
                          "minimumTokenAmount": "0.21",
                          "humanIdentityRequirement": {
                            "identityLevels": [],
                            "organization": [],
                            "individual": []
                          },
                          "termsOfService": {
                            "url": "https://premium-analytics.com/enterprise-terms",
                            "required": true
                          },
                          "seller": {
                            "id": "a8e49eea-ac7b-41f2-aa74-84fb86ad40bc",
                            "name": "Seller 1"
                          },
                          "openApiSpecUrl": "https://api.premium-analytics.com/v2/openapi.json",
                          "acceptedTokens": [
                            "kya",
                            "pay",
                            "kya-pay"
                          ],
                          "createdAt": "2025-07-18T02:51:54.265Z",
                          "updatedAt": "2025-07-18T02:54:19.767Z",
                          "active": false,
                          "approved": false
                        },
                        {
                          "id": "deeafae8-b98f-40a2-ad62-4fbe22334d89",
                          "name": "Enhanced Weather Data API Service",
                          "description": "Updated weather service with additional features including severe weather alerts and air quality data.",
                          "tags": [
                            "weather",
                            "api",
                            "data",
                            "forecasting",
                            "alerts"
                          ],
                          "type": "API",
                          "price": "0.025",
                          "priceModel": "PAY_PER_USE",
                          "minimumTokenAmount": "0.025",
                          "humanIdentityRequirement": {
                            "identityLevels": [
                              "INDIVIDUAL_LEVEL1"
                            ],
                            "organization": [],
                            "individual": [
                              "birthdate"
                            ]
                          },
                          "termsOfService": {
                            "url": "https://weatherservice.com/updated-terms",
                            "required": true
                          },
                          "seller": {
                            "id": "a8e49eea-ac7b-41f2-aa74-84fb86ad40bc",
                            "name": "Seller 1"
                          },
                          "openApiSpecUrl": "https://api.weatherservice.com/v1/openapi.json",
                          "createdAt": "2025-07-18T02:11:16.241Z",
                          "updatedAt": "2025-07-18T02:25:52.755Z",
                          "active": false,
                          "approved": false
                        },
                        {
                          "id": "127b2a75-4699-40a2-b1bc-a84f4d865dd1",
                          "name": "Test Service",
                          "description": "Test Service",
                          "tags": [],
                          "type": "API",
                          "price": "0.000001",
                          "priceModel": "PAY_PER_USE",
                          "minimumTokenAmount": "0.000001",
                          "humanIdentityRequirement": {
                            "identityLevels": [],
                            "organization": [],
                            "individual": []
                          },
                          "seller": {
                            "id": "a8e49eea-ac7b-41f2-aa74-84fb86ad40bc",
                            "name": "Seller 1"
                          },
                          "openApiSpecUrl": "apr.example.com",
                          "acceptedTokens": [
                            "kya",
                            "pay",
                            "kya-pay"
                          ],
                          "createdAt": "2025-06-28T16:27:21.081Z",
                          "updatedAt": "2025-06-28T16:27:21.081Z",
                          "active": false,
                          "approved": false
                        }
                      ]
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "data": {
                      "type": "array",
                      "description": "The seller agent's services.",
                      "items": {
                        "$ref": "#/components/schemas/SellerService"
                      }
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              }
            }
          }
        },
        "x-readme": {
          "code-samples": [
            {
              "code": "curl -i -X GET 'https://api.skyfire.xyz/api/v1/agents/seller-services' \\\n  -H 'skyfire-api-key: 72fa67b7-961e-4535-8bf5-b8c44bf4a155'",
              "language": "shell",
              "name": "cURL"
            },
            {
              "code": "const res = await fetch(\n  'https://api.skyfire.xyz/api/v1/agents/seller-services',\n  { headers: { 'skyfire-api-key': '72fa67b7-961e-4535-8bf5-b8c44bf4a155' } }\n);\nconsole.log(await res.json());",
              "language": "node",
              "name": ""
            },
            {
              "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.skyfire.xyz\")\nheaders = {'skyfire-api-key': '72fa67b7-961e-4535-8bf5-b8c44bf4a155'}\nconn.request(\"GET\", \"/api/v1/agents/seller-services\", None, headers)\nres = conn.getresponse()\nprint(res.read().decode(\"utf-8\"))",
              "language": "python",
              "name": ""
            }
          ],
          "samples-languages": [
            "shell",
            "node",
            "python"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "skyfire-api-key",
        "value": "<Your Skyfire Agent Account API Key>"
      }
    ],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```